Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRAnchor

All Known Subinterfaces:
  ChartSettings, JRChart, JRImage, JRTextField

All Known Implementing Classes:
  FillChartSettings, JRBaseChart, JRBaseImage, JRBaseTextField, JRDesignChart, JRDesignImage, JRDesignTextField, JRFillChart, JRFillImage, JRFillTextField, StandardChartSettings

    public interface JRAnchor

An interface providing anchor functionality. It must be implemented by elements that can contain anchors for hyperlinks.

Version:
  $Id: JRAnchor.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static int` | `NO_BOOKMARK` Value of the bookmark level that indicates that no bookmark should be created for the anchor.

Method Summary
`JRExpression` | `getAnchorNameExpression()` Returns an expression whose value represents the anchor name.
`int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.

Field Detail

### NO_BOOKMARK

    static final int NO_BOOKMARK

  Value of the bookmark level that indicates that no bookmark should be created for the anchor.

  See Also:
    Constant Field Values

Method Detail

### getAnchorNameExpression

    JRExpression getAnchorNameExpression()

  Returns an expression whose value represents the anchor name.

### getBookmarkLevel

    int getBookmarkLevel()

  Returns the level of the bookmark corresponding to the anchor.

  Returns:
    the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com